ICurves.h File Reference
`#include <Alembic/Util/Export.h>`
`#include <Alembic/AbcGeom/Foundation.h>`
`#include <Alembic/AbcGeom/Basis.h>`
`#include <Alembic/AbcGeom/CurveType.h>`
`#include <Alembic/AbcGeom/SchemaInfoDeclarations.h>`
`#include <Alembic/AbcGeom/IGeomParam.h>`
`#include <Alembic/AbcGeom/IGeomBase.h>`
Include dependency graph for ICurves.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema
class | Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema::Sample

## Namespaces

namespace | Alembic
| Alembic namespace ...
namespace | Alembic::AbcGeom
namespace | Alembic::AbcGeom::ALEMBIC_VERSION_NS

## Typedefs

typedef Abc::ISchemaObject< ICurvesSchema > | Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurves
typedef Util::shared_ptr< ICurves > | Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesPtr